#1 16.06.2019 12:49:58

ggrub
Mitglied

[Gelöst] "avidemux" funktioniert nach "pacman -Syu" nicht mehr

Hallo,

Hab nach einigen Tagen wie immer ein "pacman -Syu" durchgeführt. Und danach funktioniert avidemux (avidemux3_qt5) nicht mehr.

System:

OS: Arch Linux x86_64 
Kernel: 5.1.9-arch1-1-ARCH 
Resolution: 2560x1440 
DE: Xfce 
CPU: Intel i9-9900K (16)
GPU: NVIDIA GeForce GTX 1070 
GPU: Intel UHD Graphics 630 
Memory: 1301MiB / 64265MiB 

Wenn "avidemux3_qt5" ausgeführt wird, erscheint für einen kurzen Moment die GUI und beendet sich wieder.
Problem scheint wohl zu sein:

[displayXError] 10:33:10-846  LibVA Error : <vaGetConfigAttributes(ADM_coreLibVA::display, profile, VAEntrypointVLD, &attrib, 1):invalid parameter:18>

Hier mal das ganze LOG:

avidemux3_qt5
Directory /home/user/.avidemux6/ exists.Good.
Using /home/user/.avidemux6/ as base directory for prefs, jobs, etc.
*************************
  Avidemux v2.7.3
*************************
 http://www.avidemux.org
 Code      : Mean, JSC, Grant Pedersen,eumagga0x2a
 GFX       : Nestor Di, nestordi@augcyl.org
 Design    : Jakub Misak
 FreeBSD   : Anish Mistry, amistry@am-productions.biz
 Audio     : Mihail Zenkov
 Mac OS X  : Kuisathaverat, Harry van der Wolf
 Win32     : Grant Pedersen

Compiler: GCC 8.2.1 20181127
Build Target: Linux (x86-64)
User Interface: Qt (5.12.3)

Large file available: 1 offset
Time: Sun Jun 16 12:33:10 2019

0: avidemux3_qt5

Initialising prefs
 [load] 10:33:10-721  Loading prefs from /home/user/.avidemux6/config3
 [load] 10:33:10-721  Preferences found and loaded
[CpuCaps] Checking CPU capabilities
		MMX detected
		MMXEXT detected
		SSE detected
		SSE2 detected
		SSE3 detected
		SSSE3 detected
 [init] 10:33:10-721  [CpuCaps] End of CPU capabilities check (cpuCaps: 0x000001e6, cpuMask: 0xffffffff)
 [setMask] 10:33:10-721  [CpuCaps] Setting mask to 0xffffffff
 [UI_Init] 10:33:10-721  Starting QT4 GUI...
 [loadTranslator] 10:33:10-779  Using system language
 [loadTranslator] 10:33:10-779  Initializing language de_DE
 [loadTranslator] 10:33:10-779  Translation folder is </usr/share/avidemux6/qt5/i18n/>
 [loadTranslation] 10:33:10-779  [Locale] Loading language file /usr/share/avidemux6/qt5/i18n/qtbase_de_DE  [loadTranslation] 10:33:10-779  succeeded
 [loadTranslation] 10:33:10-779  [Locale] Loading language file /usr/share/avidemux6/qt5/i18n/avidemux_de_DE  [loadTranslation] 10:33:10-779  succeeded
 [loadTranslator] 10:33:10-779  Updating translations...
 [loadTranslator] 10:33:10-779  [Locale] Test: &Edit -> &Bearbeiten

Initializing Dithering tables
[COREUI] Compiled with 01.00.00
[COREUI] Linked with   01.00.00
[CoreUI] Compiled with patch version 0, using 0
[UI Toolkit] Running version 02:00
[Script] Scanning directory /usr/lib/ADM_plugins6/scriptEngines
[Script] Tinypy INFO - Registering group addons
[Script] Tinypy INFO - 	Registering: help
[Script] Tinypy INFO - 	Registering: get_folder_content
[Script] Tinypy INFO - 	Registering: get_file_size
[Script] Tinypy INFO - 	Registering: basename
[Script] Tinypy INFO - 	Registering: dirname
[Script] Tinypy INFO - Registering class: Avidemux
[Script] Tinypy INFO - Registering class: Editor
[Script] Tinypy INFO - Registering class: Gui
[Script] Tinypy INFO - Registering class: DFToggle
[Script] Tinypy INFO - Registering class: DFInteger
[Script] Tinypy INFO - Registering class: DFMenu
[Script] Tinypy INFO - Registering class: DFTimeStamp
[Script] Tinypy INFO - Registering class: DialogFactory
[Script] Tinypy INFO - Registering group test
[Script] Tinypy INFO - 	Registering: testAssert
[Script] Tinypy INFO - 	Registering: testCrash
[Script] Tinypy INFO - 	Registering: testSub
[Script] Tinypy INFO - Registering static class os
[Script] Tinypy INFO - 	Registering: environ
[Script] Tinypy INFO - Python initialised
[Script] loaded /usr/lib/ADM_plugins6/scriptEngines/libADM_script_tinyPy.so
[Script] Scanning directory /usr/lib/ADM_plugins6/scriptEngines/qt5
[Script] Cannot parse plugin
Directory /home/user/.avidemux6/custom/ exists.Good.
The screen seems to be 2560 x 1383 px
 [initGUI] 10:33:10-822  OpenGL enabled at built time, checking if we should run it..
 [initGUI] 10:33:10-822  OpenGL not activated, not initialized
 [destroy] 10:33:10-822  Destroying preview
 [renderDisplayResize] 10:33:10-822  Render to 0x0 zoom=1,0000, old one =0 x 0, zoom=1,0000, renderer=(nil)
 [UI_resize] 10:33:10-823  Resizing the main window to 163x240 px
[RDR] Resizing to 0 x 0
Probing for VDPAU...
 [init] 10:33:10-844  [VDPAU] API : 0x1, info : NVIDIA VDPAU Driver Shared Library  430.26  Tue Jun  4 17:43:17 CDT 2019
 [init] 10:33:10-844  Vdpau supports VDP_VIDEO_MIXER_FEATURE_DEINTERLACE_TEMPORAL_SPATIAL : 1
 [init] 10:33:10-844  Vdpau supports VDP_VIDEO_MIXER_FEATURE_DEINTERLACE_TEMPORAL         : 1
 [init] 10:33:10-844  Vdpau supports VDP_VIDEO_MIXER_FEATURE_HIGH_QUALITY_SCALING_L5      : 0
 [init] 10:33:10-844  Vdpau supports VDP_VIDEO_MIXER_FEATURE_HIGH_QUALITY_SCALING_L3      : 0
 [init] 10:33:10-844  Vdpau supports VDP_VIDEO_MIXER_FEATURE_HIGH_QUALITY_SCALING_L1      : 1
 [init] 10:33:10-844  Vdpau supports VDP_VIDEO_MIXER_FEATURE_NOISE_REDUCTION              : 1
 [init] 10:33:10-844  Vdpau supports VDP_VIDEO_MIXER_FEATURE_INVERSE_TELECINE             : 1
 [init] 10:33:10-844  VDPAU renderer init ok.
VDPAU available
Probing for LIBVA...
 [libvaProbe] 10:33:10-844  Probing for libVA support...
 [init] 10:33:10-844  [LIBVA] Initializing LibVA library ...
 [init] 10:33:10-846  VA 1.4, Vendor = Intel iHD driver - 1.0.0
 [setupConfig] 10:33:10-846  Max config =  31 
 [setupConfig] 10:33:10-846  Found 15 config 
 [setupConfig] 10:33:10-846  H264 high profile found
 [checkProfile] 10:33:10-846  --Probing Mpeg 2 Main ...
 [checkProfile] 10:33:10-846  RT Format =0x1
 [checkProfile] 10:33:10-846  	YUV420 supported
 [checkProfile] 10:33:10-846  Config created Mpeg 2 Main 
 [checkProfile] 10:33:10-846  --Probing H264 Hight ...
 [checkProfile] 10:33:10-846  RT Format =0x1
 [checkProfile] 10:33:10-846  	YUV420 supported
 [checkProfile] 10:33:10-846  Config created H264 Hight 
 [checkProfile] 10:33:10-846  --Probing VC1 ...
 [checkProfile] 10:33:10-846  RT Format =0x1
 [checkProfile] 10:33:10-846  	YUV420 supported
 [checkProfile] 10:33:10-846  Config created VC1 
 [checkProfile] 10:33:10-846  --Probing HEVC Main ...
 [checkProfile] 10:33:10-846  RT Format =0x1
 [checkProfile] 10:33:10-846  	YUV420 supported
 [checkProfile] 10:33:10-846  Config created HEVC Main 
 [checkProfile] 10:33:10-846  --Probing H265 10Bits ...
 [checkProfile] 10:33:10-846  RT Format =0x101
 [checkProfile] 10:33:10-846  	YUV420 supported
 [checkProfile] 10:33:10-846  	YUV420_10BPP supported
 [checkProfile] 10:33:10-846  Config created H265 10Bits 
 [checkProfile] 10:33:10-846  --Probing VP9 ...
 [displayXError] 10:33:10-846  LibVA Error : <vaGetConfigAttributes(ADM_coreLibVA::display, profile, VAEntrypointVLD, &attrib, 1):invalid parameter:18>
18 =<invalid parameter>
 [checkProfile] 10:33:10-846  Cannot get attribute  for VAEntrypointVLD VP9 
 [setupEncodingConfig] 10:33:10-846  Found 4 entry points
 [setupEncodingConfig] 10:33:10-846     0 is a 1
 [setupEncodingConfig] 10:33:10-846     1 is a 6
 [setupEncodingConfig] 10:33:10-846  YUV420 supported
 [setupEncodingConfig] 10:33:10-846  VA_RC_VBR is supported
 [displayXError] 10:33:10-846  LibVA Error : <vaCreateConfig(ADM_coreLibVA::display, VAProfileH264Main, VAEntrypointEncSlice, &attrib[0], 2,&(ADM_coreLibVAEnc::encoders::vaH264.configId)):attribute not supported:10>
10 =<attribute not supported>
 [init] 10:33:10-846  VA: Encoding not supported
 [allocateImage] 10:33:10-846  No transfer supported
 [checkSupportedFunctionsAndImageFormat] 10:33:10-846  --Trying direct operations --
 [tryDirect] 10:33:10-849  Direct operation works
 [checkSupportedFunctionsAndImageFormat] 10:33:10-849  -- Trying indirect (YV12) --
 [tryIndirect] 10:33:10-849  Trying indirect transfer (0)...
 [tryIndirectUpload] 10:33:10-849  - indirect upload... 

*********** BACKTRACK **************
/usr/lib/libADM_core6.so(ADM_backTrack+0x63) [0x7f9d4fa36023]:0:<ADM_backTrack>:-2
/usr/lib/libc.so.6(+0x378b0) [0x7f9d4dee78b0]:1:<>:-2
/usr/lib/libc.so.6(+0x160f09) [0x7f9d4e010f09]:2:<>:-2
/usr/lib/libADM6avutil.so.56(av_image_copy_plane+0x62) [0x7f9d4fa726b2]:3:<av_image_copy_plane>:-2
/usr/lib/libADM_coreImage6.so(_Z7BitBlitPhjS_jjj+0xa) [0x7f9d4f9d2cba]:4:<BitBlit(unsigned char*, unsigned int, unsigned char*, unsigned int, unsigned int, unsigned int)>:0
/usr/lib/libADM_coreImage6.so(_ZN8ADMImage14duplicateMacroEPS_b+0xe7) [0x7f9d4f9d9777]:5:<ADMImage::duplicateMacro(ADMImage*, bool)>:0
/usr/lib/libADM_coreLibVA6.so(_ZN8admLibVA13uploadToImageEP8ADMImageP8_VAImage+0xe8) [0x7f9d5065a358]:6:<admLibVA::uploadToImage(ADMImage*, _VAImage*)>:0
/usr/lib/libADM_coreLibVA6.so(+0x7b26) [0x7f9d5065bb26]:7:<>:-2
/usr/lib/libADM_coreLibVA6.so(_ZN8admLibVA4initEP14GUI_WindowInfo+0x12b) [0x7f9d5065c01b]:8:<admLibVA::init(GUI_WindowInfo*)>:0
avidemux3_qt5(_Z10libvaProbev+0x57) [0x560f70320fe7]:9:<libvaProbe()>:0
avidemux3_qt5(_Z13startAvidemuxiPPc+0x2f9) [0x560f702f7989]:10:<startAvidemux(int, char**)>:0
avidemux3_qt5(main+0x22) [0x560f702ea062]:11:<main>:-2
/usr/lib/libc.so.6(__libc_start_main+0xf3) [0x7f9d4ded3ce3]:12:<__libc_start_main>:-2
avidemux3_qt5(_start+0x2e) [0x560f702ebffe]:13:<_start>:-2
*********** BACKTRACK **************
*********** Exiting **************

Hat jemand einen Tipp für mich ?

Beitrag geändert von ggrub (27.06.2019 21:30:41)

Offline

#2 16.06.2019 18:52:35

stefanhusmann
Moderator

Re: [Gelöst] "avidemux" funktioniert nach "pacman -Syu" nicht mehr

Woher hast du avidemux3_qt5? Hab es weder in den offiziellen Repos noch im AUR gefunden.

Edit: vergiss meine Frage: ist aus den Repos, gell?

Ich kann das Problem hier nicht nachvollziehen. Sind irgendwelche AUR-Pakete im Spiel?

Offline

#3 17.06.2019 10:01:40

ggrub
Mitglied

Re: [Gelöst] "avidemux" funktioniert nach "pacman -Syu" nicht mehr

Ja, ist aus den Repos.

Avidemux hat kürzlich noch funktioniert. Mir ist nicht bewusst das ich da irgendwas modifiziert oder installiert hätte, was zur Folge hat das Avidemux plötzlich nicht mehr funktioniert. Außer halt das normale Update mit pacman.

Bestimmte AUR-Packete hatte ich schon immer installiert. Und trotzdem funktionierte Avidemux.

Hilft das vielleicht:

find /usr -name qt.conf 2>/dev/null
/usr/lib/blackmagic/DesktopVideo/qt.conf
/usr/lib/blackmagic/MediaExpress/qt.conf

Offline

#4 17.06.2019 11:59:26

ub4000
Mitglied

Re: [Gelöst] "avidemux" funktioniert nach "pacman -Syu" nicht mehr

Zeige mal die komplette Ausgabe von:

pacman -Syu avidemux-qt avidemux-cli

pacman -Qmq

pacman -Qtdq

Offline

#5 17.06.2019 14:32:39

sc44
Mitglied

Re: [Gelöst] "avidemux" funktioniert nach "pacman -Syu" nicht mehr

Hallo,
schon mal den Ordner ~/.avidemux6 gelöscht?

Offline

#6 17.06.2019 15:01:10

ggrub
Mitglied

Re: [Gelöst] "avidemux" funktioniert nach "pacman -Syu" nicht mehr

ub4000 schrieb:

Zeige mal die komplette Ausgabe von:

pacman -Syu avidemux-qt avidemux-cli

pacman -Qmq

pacman -Qtdq

sudo pacman -Syu avidemux-qt avidemux-cli
:: Synchronisiere Paketdatenbanken...
 core ist aktuell
 extra ist aktuell
 community ist aktuell
 multilib ist aktuell
Warnung: avidemux-qt-2.7.3-1 ist aktuell -- Reinstalliere
Warnung: avidemux-cli-2.7.3-1 ist aktuell -- Reinstalliere
:: Starte vollständige Systemaktualisierung...
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...

Pakete (2) avidemux-cli-2.7.3-1  avidemux-qt-2.7.3-1

Gesamtgröße der installierten Pakete:  28,97 MiB
Größendifferenz der Aktualisierung:   0,00 MiB
pacman -Qmq
aften
alarm-clock-applet
bdsup2subpp-git
blackmagic-decklink-sdk
chromaprint-fftw
crossc
dav1d-git
davinci-resolve-studio
davs2
dcaenc
decklink
delaycut
divx265
ffmpeg-full-git
flite1-patched
flv-extract
framecounter
gamin
gcc7
gcc7-libs
gksu
glxinfo
hm
html2pdf
hybrid-encoder
intel-media-sdk
intel-svt-av1
intel-svt-hevc
inxi
jdownloader2
kvazaar
lib32-libmng
lib32-qt4
libgksu
libilbc
libklvanc-git
libmysofa
libopenmpt-svn
libplacebo-git
libqxt
menulibre
mp4fpsmod
mpv-git
mujs
ndi-sdk
openh264
pac-util-git
pamac-aur
pocketsphinx
pystopwatch
qt4
rav1e-git
rockchip-mpp
rsound
shine
sphinxbase
svt-vp9-git
trizen-git
tsmuxer
vmaf
vo-amrwbenc
xavs
xavs2-git
xnviewmp
zotero
pacman -Qtdq
cmake
cunit
doxygen
ffnvcodec-headers
gamin
gcc7
gobject-introspection
gtest
gtkmm
help2man
hm
itstool
js52
lib32-gtk2
libmfx
libqxt
llvm7-libs
meson
nasm
ndi-sdk
nodejs
python-distutils-extra
python-docutils
qtav
rust
sg3_utils
source-highlight
swig
vala
vulkan-headers
wxgtk2
xfce4-dev-tools
yasm

Offline

#7 17.06.2019 15:03:00

ggrub
Mitglied

Re: [Gelöst] "avidemux" funktioniert nach "pacman -Syu" nicht mehr

sc44 schrieb:

Hallo,
schon mal den Ordner ~/.avidemux6 gelöscht?

Ja, gleiches Resultat.

Offline

#8 26.06.2019 14:12:57

ggrub
Mitglied

Re: [Gelöst] "avidemux" funktioniert nach "pacman -Syu" nicht mehr

Sonst hat niemand eine Idee ?

Offline

#9 26.06.2019 15:07:32

Henrikx
Mitglied

Re: [Gelöst] "avidemux" funktioniert nach "pacman -Syu" nicht mehr

Schon mal probeweise eine andere Version installiert?

trizen avidemux
1 extra/avidemux-cli 2.7.3-1
    Graphical tool to edit video (filter/re-encode/split)
2 extra/avidemux-qt 2.7.3-1
    Graphical tool to edit video (filter/re-encode/split) - Qt GUI
3 aur/avidemux-cli-git 2.7.2.190317.04c29e0e8-1 [24+] [0.01%] [17 Mar 2019]
    CLI frontend for Avidemux. (GIT version)
4 aur/avidemux-core-git 2.7.2.190317.04c29e0e8-1 [24+] [0.01%] [17 Mar 2019]
    Core libs for Avidemux. (GIT version)
5 aur/avidemux-qt-git 2.7.2.190317.04c29e0e8-1 [24+] [0.01%] [17 Mar 2019]
    Qt GUI for Avidemux. (GIT version)

Offline

#10 26.06.2019 15:45:51

chepaz_nologin
Gast

Re: [Gelöst] "avidemux" funktioniert nach "pacman -Syu" nicht mehr

ggrub schrieb:

Sonst hat niemand eine Idee ?

Evtl. den Grafiktreiber downgraden:

 [init] 10:33:10-844  [VDPAU] API : 0x1, info : NVIDIA VDPAU Driver Shared Library  430.26  Tue Jun  4 17:43:17 CDT 2019

#11 26.06.2019 18:03:59

ub4000
Mitglied

Re: [Gelöst] "avidemux" funktioniert nach "pacman -Syu" nicht mehr

zu Posting #6:

pacman -Qtdq  - sind Orphans - mal durchschauen und alles unnötige deinstallieren.
pacman -Qmq - sind manuell installierte Pakete / oder im Repo nicht mehr vorhanden --> mal durchschauen und alles unnötige deinstallieren.
Verdächtig sind alle die Video Codes betreffen.

Offline

#12 27.06.2019 21:30:18

ggrub
Mitglied

Re: [Gelöst] "avidemux" funktioniert nach "pacman -Syu" nicht mehr

Ursache ist/war "intel-gmmlib  19.2.2-1" (Intel Graphics Memory Management Library)

Wird diese Library installiert (passiert automatisch bei "pacman -Syu"), läuft bei mir "Avidemux-qt" nicht mehr. Installiere ich die vorherige Version (intel-gmmlib-19.1.2-1), funktioniert Avidemux-qt wieder.

Offline

#13 28.06.2019 18:14:19

stefanhusmann
Moderator

Re: [Gelöst] "avidemux" funktioniert nach "pacman -Syu" nicht mehr

Das ist dann wohl einen Bugreport wert.

Offline

Schnellantwort auf dieses Thema

Schreibe deinen Beitrag und versende ihn
Deine Antwort

Fußzeile des Forums